export interface IAccordionStyle {
    container: any;
    header: any;
    arrow: any;
    headerWrap: any;
    headerText: any;
    content: any;
    contentText: any;
}
declare const _default: {
    container: {
        borderTopWidth: number;
        borderTopColor: string;
    };
    header: {
        flexDirection: string;
        alignItems: string;
        paddingLeft: number;
        paddingRight: number;
        borderBottomWidth: number;
        borderBottomColor: string;
    };
    arrow: {
        width: number;
        height: number;
    };
    headerWrap: {
        flex: number;
        height: number;
        alignItems: string;
        flexDirection: string;
    };
    headerText: {
        color: string;
        fontSize: number;
    };
    content: {
        paddingVertical: number;
        paddingHorizontal: number;
        borderBottomWidth: number;
        borderBottomColor: string;
    };
    contentText: {
        fontSize: number;
        color: string;
    };
};
export default _default;
