import React from 'react';
import { IBadgeStyle } from './style';
import { BadgeProps } from './PropsType';
export interface IBadgeNativeProps extends BadgeProps {
    styles?: IBadgeStyle;
}
export default class Badge extends React.Component<IBadgeNativeProps, any> {
    static defaultProps: {
        size: string;
        overflowCount: number;
        dot: boolean;
        corner: boolean;
        styles: {
            [x: string]: import("react-native").RegisteredStyle<any>;
        };
    };
    render(): JSX.Element;
}
