'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _themes = require('../../style/themes');

var _themes2 = _interopRequireDefault(_themes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

exports['default'] = {
    wrapper: {
        flexDirection: 'row',
        alignItems: 'center'
    },
    icon: {
        width: _themes2['default'].icon_size_sm,
        height: _themes2['default'].icon_size_sm
    },
    iconRight: {
        marginLeft: _themes2['default'].h_spacing_md
    },
    agreeItem: {
        flexDirection: 'row',
        alignItems: 'center'
    },
    agreeItemCheckbox: {
        marginLeft: _themes2['default'].h_spacing_lg,
        marginRight: _themes2['default'].h_spacing_md
    },
    checkboxItemCheckbox: {
        marginRight: _themes2['default'].h_spacing_md,
        alignSelf: 'center'
    }
};