'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _Iconset = require('./Iconset');

var _Iconset2 = _interopRequireDefault(_Iconset);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var transferConst = { 'xxs': 15, 'xs': 18, 'sm': 21, 'md': 22, 'lg': 36 };
var Icon = function Icon(props) {
    var name = props.name,
        _props$size = props.size,
        size = _props$size === undefined ? 'md' : _props$size,
        _props$color = props.color,
        color = _props$color === undefined ? '#000' : _props$color;

    var _size = typeof size === 'string' ? transferConst[size] || size : size;
    return _react2['default'].createElement(_Iconset2['default'], { name: name, color: color, size: _size });
};
exports['default'] = Icon;