import React from 'react';
export interface InputProps {
    style?: any;
    onClick?: Function;
    type?: 'text' | 'bankCard' | 'phone' | 'password' | 'number' | 'digit' | 'money';
    editable?: boolean;
    disabled?: boolean;
    name?: string;
    value?: string;
    defaultValue?: string;
    placeholder?: string;
    clear?: boolean;
    maxLength?: number;
    onChange?: Function;
    onBlur?: Function;
    onFocus?: Function;
    extra?: React.ReactNode;
    onExtraClick?: (e?: any) => void;
    error?: boolean;
    onErrorClick?: (e?: any) => void;
    onErrorPress?: Function;
    size?: 'large' | 'small';
    labelNumber?: number;
    labelPosition?: 'left' | 'top';
    textAlign?: 'left' | 'center';
    children?: any;
    updatePlaceholder?: boolean;
    styles?: any;
    locale?: object;
}
