import React from "react";
import { InputProps as BasePropsType } from "./PropsType";
export interface InputProps extends BasePropsType {
    last?: boolean;
}
export default class RnInput extends React.Component<InputProps, any> {
    static defaultProps: {
        type: string;
        editable: boolean;
        clear: boolean;
        onChange: any;
        onBlur: any;
        onFocus: any;
        extra: string;
        onExtraClick: any;
        error: boolean;
        onErrorClick: any;
        size: string;
        labelNumber: number;
        labelPosition: string;
        textAlign: string;
        last: boolean;
        styles: {
            [x: string]: import("react-native").RegisteredStyle<any>;
        };
    };
    inputRef: any;
    onChange: (text: any) => void;
    onInputBlur: () => void;
    onInputFocus: () => void;
    render(): JSX.Element;
}
