import React from 'react';
import { RadioProps } from './PropsType';
import { IRadioStyle } from './style';
export interface IRadioNativeProps extends RadioProps {
    styles?: IRadioStyle;
}
export default class Radio extends React.Component<IRadioNativeProps, any> {
    static RadioItem: any;
    static defaultProps: {
        styles: {
            [x: string]: import("react-native").RegisteredStyle<any>;
        };
    };
    constructor(props: RadioProps, context: any);
    componentWillReceiveProps(nextProps: RadioProps): void;
    handleClick: () => void;
    render(): JSX.Element;
}
