'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _themes = require('../../style/css/themes');

var _themes2 = _interopRequireDefault(_themes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

exports['default'] = {
    wrapper: {
        flexDirection: 'row',
        alignItems: 'center'
    },
    icon: {
        width: _themes2['default'].icon_size_xxs,
        height: _themes2['default'].icon_size_xxs * 0.8
    },
    radioItem: {
        flexDirection: 'row',
        alignItems: 'center'
    },
    radioItemRadio: {
        marginLeft: _themes2['default'].h_spacing_lg,
        marginRight: _themes2['default'].h_spacing_md
    },
    radioItemContent: {
        color: _themes2['default'].color_text_base,
        fontSize: _themes2['default'].font_size_heading
    },
    radioItemContentDisable: {
        color: _themes2['default'].color_text_disabled
    }
};