import React from 'react';
import { IResultStyle } from './style';
import { ResultProps } from './PropsType';
export interface IResultNativeProps extends ResultProps {
    styles?: IResultStyle;
}
export default class Result extends React.Component<IResultNativeProps, any> {
    static defaultProps: {
        styles: {
            [x: string]: import("react-native").RegisteredStyle<any>;
        };
        buttonType: string;
        onButtonPress: () => void;
    };
    render(): JSX.Element;
}
