import { ViewStyle, TextStyle } from 'react-native';
export interface ITextAreaStyle {
    container: ViewStyle;
    input: TextStyle;
    icon: ViewStyle;
    errorIcon: ViewStyle;
    count: ViewStyle;
}
declare const _default: {
    container: {
        borderBottomWidth: number;
        borderBottomColor: string;
    };
    input: {
        paddingHorizontal: number;
        backgroundColor: string;
        fontSize: number;
        lineHeight: number;
        textAlignVertical: string;
    };
    icon: {
        position: string;
        top: number;
        width: number;
        height: number;
    };
    errorIcon: {
        position: string;
        right: number;
        top: number;
    };
    count: {
        padding: number;
        alignItems: string;
    };
};
export default _default;
