'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _themes = require('../../style/themes');

var _themes2 = _interopRequireDefault(_themes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

exports['default'] = {
    container: {
        borderBottomWidth: _themes2['default'].border_width_sm,
        borderBottomColor: _themes2['default'].border_color_base
    },
    input: {
        paddingHorizontal: _themes2['default'].h_spacing_md,
        backgroundColor: _themes2['default'].fill_base,
        fontSize: _themes2['default'].font_size_heading,
        lineHeight: Math.round(1.3 * _themes2['default'].font_size_heading),
        textAlignVertical: 'top'
    },
    icon: {
        position: 'absolute',
        top: 8,
        width: _themes2['default'].icon_size_xs,
        height: _themes2['default'].icon_size_xs
    },
    errorIcon: {
        position: 'absolute',
        right: 18,
        top: 12
    },
    count: {
        // position: 'absolute',
        // right: theme.h_spacing_md,
        // bottom: theme.h_spacing_md,
        padding: 5,
        alignItems: 'flex-end'
    }
};