import React from 'react';
import { IActivityIndicatorStyle } from './style';
import { ActivityIndicatorPropTypes as BasePropsType } from './PropsType';
export interface IActivityIndicatorNativeProps extends BasePropsType {
    styles?: IActivityIndicatorStyle;
    color?: string;
}
export default class RNActivityIndicator extends React.Component<IActivityIndicatorNativeProps, any> {
    static defaultProps: {
        animating: boolean;
        color: string;
        size: string;
        toast: boolean;
        styles: {
            [x: string]: import("react-native").RegisteredStyle<any>;
        };
    };
    _renderToast(): JSX.Element;
    _renderSpinner(): JSX.Element;
    render(): JSX.Element | null;
}
