import React from 'react';
import { ICascaderProps } from './CascaderTypes';
declare class Cascader extends React.Component<ICascaderProps, any> {
    static defaultProps: {
        cols: number;
        data: never[];
        disabled: boolean;
    };
    state: {
        value: any;
    };
    componentWillReceiveProps(nextProps: any): void;
    onValueChange: (value: any, index: any) => void;
    getValue(d: any, val: any): any;
    getCols(): JSX.Element[];
    render(): JSX.Element;
}
export default Cascader;
