import React from 'react';
import { IPopupPickerProps } from './../picker/native/PopupPickerTypes';
import { ICascaderProps, CascaderValue } from './CascaderTypes';
export interface IPopupCascaderProps extends IPopupPickerProps {
    cascader: React.ReactElement<ICascaderProps>;
    onChange?: (date?: CascaderValue) => void;
}
export default class PopupCascader extends React.Component<IPopupCascaderProps, any> {
    static defaultProps: {
        pickerValueProp: string;
        pickerValueChangeProp: string;
    };
    onOk: (v: any) => void;
    render(): JSX.Element;
}
