import React from 'react';
import { AgreeItemPropsType } from './PropsType';
import { ICheckboxStyle } from './style';
export interface IAgreeItemNativeProps extends AgreeItemPropsType {
    styles?: ICheckboxStyle;
    checkboxStyle?: any;
}
export default class AgreeItem extends React.Component<IAgreeItemNativeProps, any> {
    static defaultProps: {
        styles: {
            [x: string]: import("react-native").RegisteredStyle<any>;
        };
    };
    handleClick: () => void;
    render(): JSX.Element;
}
