import React from 'react';
import { CheckboxProps } from './PropsType';
import { ICheckboxStyle } from './style';
export interface ICheckboxNativeProps extends CheckboxProps {
    styles?: ICheckboxStyle;
}
export default class Checkbox extends React.Component<ICheckboxNativeProps, any> {
    static CheckboxItem: any;
    static AgreeItem: any;
    static defaultProps: {
        styles: {
            [x: string]: import("react-native").RegisteredStyle<any>;
        };
    };
    constructor(props: CheckboxProps, context: any);
    componentWillReceiveProps(nextProps: CheckboxProps): void;
    handleClick: () => void;
    render(): JSX.Element;
}
