import React from 'react';
import { CheckboxItemProps } from './PropsType';
import { ICheckboxStyle } from './style';
export interface ICheckboxItemNativeProps extends CheckboxItemProps {
    styles?: ICheckboxStyle;
    checkboxStyle?: any;
}
export default class CheckboxItem extends React.Component<ICheckboxItemNativeProps, any> {
    static defaultProps: {
        styles: {
            [x: string]: import("react-native").RegisteredStyle<any>;
        };
    };
    handleClick: () => void;
    render(): JSX.Element;
}
