import React from 'react';
import { ListItemProps as ListItemBasePropsType, BriefProps as BriefBasePropsType } from './PropsType';
export interface ListItemProps extends ListItemBasePropsType {
    styles?: {
        underlayColor: {};
        Content: {};
        column: {};
        Extra: {};
        Arrow: {};
        ArrowV: {};
        Item: {};
        Thumb: {};
        multipleThumb: {};
        Line: {};
        multipleLine: {};
    };
    onPressIn?: () => void;
    onPressOut?: () => void;
}
export interface BriefProps extends BriefBasePropsType {
    styles?: {
        Brief: {};
        BriefText: {};
    };
}
export declare class Brief extends React.Component<BriefProps, any> {
    static defaultProps: {
        styles: {
            [x: string]: import("react-native").RegisteredStyle<any>;
        };
    };
    render(): JSX.Element;
}
export default class Item extends React.Component<ListItemProps, any> {
    static Brief: typeof Brief;
    static defaultProps: Partial<ListItemProps>;
    render(): JSX.Element;
}
