'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

exports['default'] = function (title, content) {
    var actions = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : [{ text: '确定' }];

    var onAnimationEnd = function onAnimationEnd(visible) {
        if (!visible) {
            _utils.topView.remove();
        }
    };
    _utils.topView.set(_react2['default'].createElement(_AlertContainer2['default'], { title: title, content: content, actions: actions, onAnimationEnd: onAnimationEnd }));
};

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _AlertContainer = require('./AlertContainer');

var _AlertContainer2 = _interopRequireDefault(_AlertContainer);

var _utils = require('../utils');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }