import React from 'react';
import { IModalStyle } from './style';
import { ModalProps } from './PropsType';
export interface IModalNativeProps extends ModalProps {
    styles?: IModalStyle;
}
export default class BriefModal extends React.Component<IModalNativeProps, any> {
    static defaultProps: {
        visible: boolean;
        closable: boolean;
        maskClosable: boolean;
        style: {};
        bodyStyle: {};
        animationType: string;
        onClose(): void;
        footer: never[];
        transparent: boolean;
        popup: boolean;
        animateAppear: boolean;
        styles: {
            [x: string]: import("react-native").RegisteredStyle<any>;
        };
        operation: boolean;
    };
    static alert: any;
    static operation: any;
    static prompt: any;
    static native: any;
    root: any;
    onFooterLayout: (e: any) => void;
    saveRoot: (root: any) => void;
    render(): JSX.Element;
}
