import React from 'react';
import { StatusBarProps, NavBarProps as BasePropsType } from './PropsType';
export interface NavBarProps extends BasePropsType {
    statusBar: StatusBarProps;
}
export default class NavBar extends React.Component<NavBarProps, any> {
    static defaultProps: {
        statusBar: {
            barStyle: string;
            hidden: boolean;
            translucent: boolean;
            animated: boolean;
        };
        hideNav: boolean;
        icon: {};
        leftContent: null;
        onLeftPressed: () => void;
        rightContent: null;
        styles: {
            [x: string]: import("react-native").RegisteredStyle<any>;
        };
    };
    constructor(props: any);
    render(): JSX.Element | null;
}
