import React from 'react';
import { ViewStyle, StyleProp } from 'react-native';
import { INoticeBarStyle } from './style';
import { MarqueeProp } from './Marquee';
import { NoticeBarPropsType as NoticeBarProps } from './PropsType';
export interface INoticeNativeProps extends NoticeBarProps {
    styles?: INoticeBarStyle;
    marqueeProps?: MarqueeProp;
    style?: StyleProp<ViewStyle>;
}
export default class NoticeBar extends React.Component<INoticeNativeProps, any> {
    static defaultProps: {
        mode: string;
        onClick(): void;
        icon: JSX.Element;
        styles: {
            [x: string]: import("react-native").RegisteredStyle<any>;
        };
    };
    constructor(props: any);
    onClick: () => void;
    render(): JSX.Element | null;
}
