'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _themes = require('../../style/css/themes');

var _themes2 = _interopRequireDefault(_themes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

exports['default'] = {
    notice: {
        backgroundColor: _themes2['default'].notice_bar_fill,
        height: _themes2['default'].notice_bar_height,
        overflow: 'hidden',
        flexDirection: 'row',
        alignItems: 'center'
    },
    container: {
        flex: 1,
        marginRight: _themes2['default'].h_spacing_lg,
        overflow: 'hidden',
        width: 0
    },
    content: {
        fontSize: _themes2['default'].font_size_subhead,
        color: _themes2['default'].brand_warning
    },
    left6: {
        marginLeft: _themes2['default'].h_spacing_sm
    },
    left15: {
        marginLeft: _themes2['default'].h_spacing_lg
    },
    actionWrap: {
        marginRight: _themes2['default'].h_spacing_lg
    },
    close: {
        color: _themes2['default'].brand_warning,
        fontSize: 18,
        fontWeight: '200',
        textAlign: 'left'
    },
    link: {
        transform: [{ rotate: '225deg' }],
        color: _themes2['default'].brand_warning,
        fontSize: _themes2['default'].font_size_icontext,
        fontWeight: '500',
        textAlign: 'left'
    }
};