import PropTypes from 'prop-types';
import AbstractPicker from './AbstractPicker';
import { IPickerStyle } from './style';
import tsPropsType from './PropsType';
export interface IPickerNativeProps extends tsPropsType {
    styles?: IPickerStyle;
}
export default class Picker extends AbstractPicker {
    static defaultProps: {
        styles: {
            [x: string]: import("react-native").RegisteredStyle<any>;
        };
        format: (values: any) => any;
        cols: number;
        cascade: boolean;
        title: string;
    };
    static contextTypes: {
        antLocale: PropTypes.Requireable<object>;
    };
    protected popupProps: {};
}
