import React from 'react';
import { RadioItemProps } from './PropsType';
import { IRadioStyle } from './style';
export interface IRadioItemNativeProps extends RadioItemProps {
    radioStyle?: any;
    styles?: IRadioStyle;
}
export default class RadioItem extends React.Component<IRadioItemNativeProps, any> {
    static defaultProps: {
        styles: {
            [x: string]: import("react-native").RegisteredStyle<any>;
        };
    };
    handleClick: () => void;
    render(): JSX.Element;
}
