'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _themes = require('../../style/themes');

var _themes2 = _interopRequireDefault(_themes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

exports['default'] = {
    result: {
        alignItems: 'center',
        paddingVertical: _themes2['default'].v_spacing_xl,
        backgroundColor: _themes2['default'].fill_base,
        borderBottomColor: _themes2['default'].border_color_base
    },
    imgWrap: {
        margin: 0
    },
    img: {
        width: 60,
        height: 60
    },
    title: {
        marginTop: _themes2['default'].v_spacing_lg,
        paddingHorizontal: _themes2['default'].h_spacing_lg
    },
    titleText: {
        fontSize: 21,
        color: _themes2['default'].color_text_base
    },
    message: {
        marginTop: _themes2['default'].v_spacing_lg,
        paddingHorizontal: _themes2['default'].h_spacing_lg
    },
    messageText: {
        fontSize: _themes2['default'].font_size_caption,
        color: _themes2['default'].color_text_caption
    },
    buttonWrap: {
        flexDirection: 'row',
        marginTop: _themes2['default'].v_spacing_lg,
        paddingHorizontal: _themes2['default'].h_spacing_lg
    },
    button: {
        flex: 1
    }
};