import React from 'react';
import { ITagStyle } from './style';
import { TagProps } from './PropsType';
export interface ITagNativeProps extends TagProps {
    styles?: ITagStyle;
}
export default class Tag extends React.Component<ITagNativeProps, any> {
    static defaultProps: {
        disabled: boolean;
        small: boolean;
        selected: boolean;
        closable: boolean;
        onClose(): void;
        afterClose(): void;
        onChange(): void;
        styles: {
            [x: string]: import("react-native").RegisteredStyle<any>;
        };
    };
    closeDom: any;
    constructor(props: any);
    componentWillReceiveProps(nextProps: any): void;
    onClick: () => void;
    onTagClose: () => void;
    onPressIn: () => void;
    onPressOut: () => void;
    render(): JSX.Element | null;
}
