import React from 'react';
import { TextAreaProps } from './PropsType';
import { ITextAreaStyle } from './style';
export interface ITextAreaNativeProps extends TextAreaProps {
    last?: boolean;
    keyboardType?: string;
    onContentSizeChange?: (e: any) => void;
    styles?: ITextAreaStyle;
}
export default class TextArea extends React.Component<ITextAreaNativeProps, any> {
    static defaultProps: {
        onChange(): void;
        onFocus(): void;
        onBlur(): void;
        onErrorClick(): void;
        clear: boolean;
        error: boolean;
        editable: boolean;
        rows: number;
        count: number;
        keyboardType: string;
        autoHeight: boolean;
        last: boolean;
        styles: {
            [x: string]: import("react-native").RegisteredStyle<any>;
        };
    };
    constructor(props: any);
    onChange: (event: any) => void;
    onContentSizeChange: (event: any) => void;
    render(): JSX.Element;
}
